Get cluster role binding details
Get cluster role binding details
curl -X GET "https://api.rad.security/accounts/example_string/resources/rbac/clusterrolebindings/example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.rad.security/accounts/example_string/resources/rbac/clusterrolebindings/example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.rad.security/accounts/example_string/resources/rbac/clusterrolebindings/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.rad.security/accounts/example_string/resources/rbac/clusterrolebindings/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.rad.security/accounts/example_string/resources/rbac/clusterrolebindings/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"account_id": "example_string",
"cluster_id": "example_string",
"cluster_role": {},
"created_at": "example_string",
"graph": {
"edges": [
{
"from_id": "example_string",
"id": "example_string",
"to_id": "example_string",
"type": "example_string"
}
],
"nodes": [
{
"id": "example_string",
"properties": {},
"type": "example_string"
}
]
},
"groups": [
{
"account_id": "example_string",
"api_group": "example_string",
"assigned_roles": [
{
"kind": "example_string",
"name": "John Doe",
"namespace": "John Doe",
"uid": "example_string",
"account_id": "example_string",
"cluster_id": "example_string",
"created_at": "example_string",
"id": "example_string",
"updated_at": "example_string"
}
],
"cluster_id": "example_string",
"cluster_role_bindings": [
{}
],
"created_at": "example_string",
"graph": {
"edges": [
{
"from_id": "example_string",
"id": "example_string",
"to_id": "example_string",
"type": "example_string"
}
],
"nodes": [
{
"id": "example_string",
"properties": {},
"type": "example_string"
}
]
},
"id": "example_string",
"name": "John Doe",
"namespace": "John Doe",
"permissions": [
{
"category": "example_string",
"content": "null",
"created_at": "example_string",
"deleted_at": "example_string",
"description": "example_string",
"id": "example_string",
"severity": "example_string",
"status": "example_string",
"tags": [
{
"key": "example_string",
"source": "example_string",
"value": "example_string"
}
],
"title": "example_string",
"type": "example_string",
"updated_at": "example_string",
"version": "example_string",
"api_groups": [
"example_string"
],
"cluster_role_uid": "example_string",
"namespace": "John Doe",
"resource_names": [
"John Doe"
],
"resources": [
"example_string"
],
"role_uid": "example_string",
"verbs": [
"example_string"
]
}
],
"role_bindings": [
{
"account_id": "example_string",
"cluster_id": "example_string",
"cluster_role": {},
"created_at": "example_string",
"graph": {
"edges": [
{
"from_id": "example_string",
"id": "example_string",
"to_id": "example_string",
"type": "example_string"
}
],
"nodes": [
{
"id": "example_string",
"properties": {},
"type": "example_string"
}
]
},
"groups": [
{}
],
"name": "John Doe",
"namespace": "John Doe",
"resource_version": "example_string",
"role": {
"account_id": "example_string",
"assigned_subjects": [
{
"kind": "example_string",
"name": "John Doe",
"namespace": "John Doe",
"uid": "example_string",
"account_id": "example_string",
"cluster_id": "example_string",
"created_at": "example_string",
"id": "example_string",
"updated_at": "example_string"
}
],
"cluster_id": "example_string",
"created_at": "example_string",
"graph": {
"edges": [
{
"from_id": "example_string",
"id": "example_string",
"to_id": "example_string",
"type": "example_string"
}
],
"nodes": [
{
"id": "example_string",
"properties": {},
"type": "example_string"
}
]
},
"name": "John Doe",
"namespace": "John Doe",
"resource_version": "example_string",
"role_bindings": [
{}
],
"rules": [
{
"category": "example_string",
"content": "null",
"created_at": "example_string",
"deleted_at": "example_string",
"description": "example_string",
"id": "example_string",
"severity": "example_string",
"status": "example_string",
"tags": [
{
"key": "example_string",
"source": "example_string",
"value": "example_string"
}
],
"title": "example_string",
"type": "example_string",
"updated_at": "example_string",
"version": "example_string",
"api_groups": [
"example_string"
],
"cluster_role_uid": "example_string",
"namespace": "John Doe",
"resource_names": [
"John Doe"
],
"resources": [
"example_string"
],
"role_uid": "example_string",
"verbs": [
"example_string"
]
}
],
"uid": "example_string",
"updated_at": "example_string"
},
"role_ref_api_group": "example_string",
"role_ref_kind": "example_string",
"role_ref_name": "John Doe",
"service_accounts": [
{
"account_id": "example_string",
"assigned_roles": [
{
"kind": "example_string",
"name": "John Doe",
"namespace": "John Doe",
"uid": "example_string",
"account_id": "example_string",
"cluster_id": "example_string",
"created_at": "example_string",
"id": "example_string",
"updated_at": "example_string"
}
],
"cluster_id": "example_string",
"cluster_role_bindings": [
{}
],
"created_at": "example_string",
"graph": {
"edges": [
{
"from_id": "example_string",
"id": "example_string",
"to_id": "example_string",
"type": "example_string"
}
],
"nodes": [
{
"id": "example_string",
"properties": {},
"type": "example_string"
}
]
},
"name": "John Doe",
"namespace": "John Doe",
"permissions": [
{
"category": "example_string",
"content": "null",
"created_at": "example_string",
"deleted_at": "example_string",
"description": "example_string",
"id": "example_string",
"severity": "example_string",
"status": "example_string",
"tags": [
{
"key": "example_string",
"source": "example_string",
"value": "example_string"
}
],
"title": "example_string",
"type": "example_string",
"updated_at": "example_string",
"version": "example_string",
"api_groups": [
"example_string"
],
"cluster_role_uid": "example_string",
"namespace": "John Doe",
"resource_names": [
"John Doe"
],
"resources": [
"example_string"
],
"role_uid": "example_string",
"verbs": [
"example_string"
]
}
],
"resource_version": "example_string",
"role_bindings": [
{}
],
"uid": "example_string",
"updated_at": "example_string"
}
],
"uid": "example_string",
"updated_at": "example_string",
"users": [
{
"account_id": "example_string",
"api_group": "example_string",
"assigned_roles": [
{
"kind": "example_string",
"name": "John Doe",
"namespace": "John Doe",
"uid": "example_string",
"account_id": "example_string",
"cluster_id": "example_string",
"created_at": "example_string",
"id": "example_string",
"updated_at": "example_string"
}
],
"cluster_id": "example_string",
"cluster_role_bindings": [
{}
],
"created_at": "example_string",
"graph": {
"edges": [
{
"from_id": "example_string",
"id": "example_string",
"to_id": "example_string",
"type": "example_string"
}
],
"nodes": [
{
"id": "example_string",
"properties": {},
"type": "example_string"
}
]
},
"id": "example_string",
"name": "John Doe",
"namespace": "John Doe",
"permissions": [
{
"category": "example_string",
"content": "null",
"created_at": "example_string",
"deleted_at": "example_string",
"description": "example_string",
"id": "example_string",
"severity": "example_string",
"status": "example_string",
"tags": [
{
"key": "example_string",
"source": "example_string",
"value": "example_string"
}
],
"title": "example_string",
"type": "example_string",
"updated_at": "example_string",
"version": "example_string",
"api_groups": [
"example_string"
],
"cluster_role_uid": "example_string",
"namespace": "John Doe",
"resource_names": [
"John Doe"
],
"resources": [
"example_string"
],
"role_uid": "example_string",
"verbs": [
"example_string"
]
}
],
"role_bindings": [
{}
],
"updated_at": "example_string"
}
]
}
],
"updated_at": "example_string"
}
],
"name": "John Doe",
"resource_version": "example_string",
"role_ref_api_group": "example_string",
"role_ref_kind": "example_string",
"role_ref_name": "John Doe",
"service_accounts": [
{
"account_id": "example_string",
"assigned_roles": [
{
"kind": "example_string",
"name": "John Doe",
"namespace": "John Doe",
"uid": "example_string",
"account_id": "example_string",
"cluster_id": "example_string",
"created_at": "example_string",
"id": "example_string",
"updated_at": "example_string"
}
],
"cluster_id": "example_string",
"cluster_role_bindings": [
{}
],
"created_at": "example_string",
"graph": {
"edges": [
{
"from_id": "example_string",
"id": "example_string",
"to_id": "example_string",
"type": "example_string"
}
],
"nodes": [
{
"id": "example_string",
"properties": {},
"type": "example_string"
}
]
},
"name": "John Doe",
"namespace": "John Doe",
"permissions": [
{
"category": "example_string",
"content": "null",
"created_at": "example_string",
"deleted_at": "example_string",
"description": "example_string",
"id": "example_string",
"severity": "example_string",
"status": "example_string",
"tags": [
{
"key": "example_string",
"source": "example_string",
"value": "example_string"
}
],
"title": "example_string",
"type": "example_string",
"updated_at": "example_string",
"version": "example_string",
"api_groups": [
"example_string"
],
"cluster_role_uid": "example_string",
"namespace": "John Doe",
"resource_names": [
"John Doe"
],
"resources": [
"example_string"
],
"role_uid": "example_string",
"verbs": [
"example_string"
]
}
],
"resource_version": "example_string",
"role_bindings": [
{}
],
"uid": "example_string",
"updated_at": "example_string"
}
],
"uid": "example_string",
"updated_at": "example_string",
"users": [
{
"account_id": "example_string",
"api_group": "example_string",
"assigned_roles": [
{
"kind": "example_string",
"name": "John Doe",
"namespace": "John Doe",
"uid": "example_string",
"account_id": "example_string",
"cluster_id": "example_string",
"created_at": "example_string",
"id": "example_string",
"updated_at": "example_string"
}
],
"cluster_id": "example_string",
"cluster_role_bindings": [
{}
],
"created_at": "example_string",
"graph": {
"edges": [
{
"from_id": "example_string",
"id": "example_string",
"to_id": "example_string",
"type": "example_string"
}
],
"nodes": [
{
"id": "example_string",
"properties": {},
"type": "example_string"
}
]
},
"id": "example_string",
"name": "John Doe",
"namespace": "John Doe",
"permissions": [
{
"category": "example_string",
"content": "null",
"created_at": "example_string",
"deleted_at": "example_string",
"description": "example_string",
"id": "example_string",
"severity": "example_string",
"status": "example_string",
"tags": [
{
"key": "example_string",
"source": "example_string",
"value": "example_string"
}
],
"title": "example_string",
"type": "example_string",
"updated_at": "example_string",
"version": "example_string",
"api_groups": [
"example_string"
],
"cluster_role_uid": "example_string",
"namespace": "John Doe",
"resource_names": [
"John Doe"
],
"resources": [
"example_string"
],
"role_uid": "example_string",
"verbs": [
"example_string"
]
}
],
"role_bindings": [
{}
],
"updated_at": "example_string"
}
]
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
GET
/accounts/{account_id}/resources/rbac/clusterrolebindings/{uid}GET
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredBearer token - just enter the token, "Bearer" prefix will be added automatically
path
account_idstring
RequiredAccount id
path
uidstring
RequiredCluster role binding uid
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Authentication token required.
Path Parameters
account_idstring
RequiredAccount id
uidstring
RequiredCluster role binding uid
Responses
account_idstring
cluster_idstring
cluster_roleobject
ClusterRole object. Nested reference truncated to avoid circular schema (see ClusterRole).
created_atstring
graphobject
groupsarray
namestring
resource_versionstring
role_ref_api_groupstring
role_ref_kindstring
role_ref_namestring
service_accountsarray
uidstring
updated_atstring
usersarray
Was this page helpful?